#
# spec file for package vdr-plugin-femon
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname femon
Name:           vdr-plugin-%{pluginname}
Version:        2.2.0
Release:        4.3
Summary:        DVB Frontend Status Monitor plugin for VDR
License:        GPL-2.0
Group:          Hardware/TV
Url:            http://www.saunalahti.fi/~rahrenbe/vdr/femon/
Source0:        vdr-%{pluginname}-%{version}.tgz
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
DVB Frontend Status Monitor is a plugin that displays some signal information
parameters of the current tuned channel on OSD. You can zap through all your
channels and the plugin should be monitoring always the right frontend. The
transponder and stream information are also available in advanced display modes.

%prep
%setup -q -n %{pluginname}-%{version}
# fix debuginfo...
sed -i 's#^STRIP = .*#STRIP = /bin/true#' Makefile

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc COPYING HISTORY README

%changelog
* Sun Mar  8 2015 seife+obs@b1-systems.com
- update to version 2.2.0 (2015-02-19):
  * Updated for vdr-2.2.0
  * Updated CA definitions
  * Fixed the SVDRP service IP menu item
  * Fixed the detaching of receiver during a channel switch
  * Fixed the channel frequency value
* Sun Nov  2 2014 seife+obs@b1-systems.com
- update to 2.0.4
  - Added support for SAT>IP devices
* Sat Mar 29 2014 seife+obs@b1-systems.com
- run spec-cleaner
- remove vdrapi from package version
- change from vdrapi requires to PreReq vdr_prereq macro
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
- do not strip libs to fix debuginfo package
* Sat Feb  8 2014 wagner-thomas@gmx.at
- update to 2.0.2
* Tue Jul  9 2013 wittemar@googlemail.com
- update to 2.0.0
* Mon Mar 25 2013 wittemar@googlemail.com
- update to 1.7.19
* Sun Apr 15 2012 wittemar@googlemail.com
- update to 1.7.17
* Thu Mar 29 2012 wittemar@googlemail.com
- update to 1.7.16
* Tue Mar 13 2012 wittemar@googlemail.com
- update to 1.7.15
* Sun Feb 26 2012 wittemar@googlemail.com
- update to 1.7.13
* Wed Jan 18 2012 wittemar@googlemail.com
- update to 1.7.12
* Wed Dec  7 2011 wittemar@googlemail.com
- update to 1.7.11
* Thu Sep 22 2011 wittemar@googlemail.com
- update to 1.7.10
* Sun Mar 13 2011 wittemar@googlemail.com
- update to 1.7.9
* Sun Sep 19 2010 wittemar@googlemail.com
- update to 1.7.8
* Fri Mar  5 2010 wittemar@googlemail.com
- update to 1.7.7
* Mon Feb  1 2010 wittemar@googlemail.com
- update to 1.7.6
* Fri Oct 23 2009 wittemar@googlemail.com
- update to 1.7.5
* Fri Oct 23 2009 wittemar@googlemail.com
- update to 1.6.7
* Mon May 18 2009 wittemar@googlemail.com
- update to 1.7.1
* Tue May 12 2009 wittemar@googlemail.com
- update to 1.6.6
